Actualización FAQ

Saltar a: navegación, buscar

Nota: Esta es una traducción de una página de la documentación en idioma Inglés (Docs), que se considera particularmente importante, y que en su versión original se actualiza frecuentemente. Por ello, se le recomienda que revise la página original en idioma inglés: Upgrading FAQ.


¿Cómo puedo actualizar de Moodle 1.9 a 3.4?

1.x -> 1.9.19+ -> 2.2.11 -> 2.7.20 -> 3.0.10 -> 3.4

(Es mejor actualizar a la última versión menor estable antes de ir a la siguiente rama oversión mayor, igual con los Complementos; actualizar Moodle desde versiones estables antiguas usualmente funciona, pero no hay garantías.)

Las versiones antiguas, como Moodle 1.9.19+, 2.2.11, 2.7.20 y 3.0.10 puede descargarse desde https://download.moodle.org/releases/legacy/.

¿Cómo actualizo Moodle? ¿Sólo sobre-escribiendo los archivos?

NO sobre-escriba los archivos, eso puede causar errores muy graves. Lea la documentación para Actualizar antes de proceder.

Obtengo el mensaje "Actualización ya ejecutándose en esta sesión, por favor espere..."

Lo más probable es que Usted refrescó la página antes de que saliera el mensaje de que la instalación se completó. Si realmente está seguro de que no hay ningun proceso de actualización activo (php o mysql), usted puede hacer clic en "!!!" y reiniciar la actualización.

Nota: Si hace clic sobre "'!!!" o intenta reiniciar la actualización desde otro navegador, es posible que toda la información en su base de datos pueda corromperse. Si esto ocurriera, usted necesitará restaurar su base de datos desde el gestor de sql y luego reiniciar la actualización y esperar - el proceso puede tomar varias horas en sitios cargados de información.

¿Puedo actualizar más de una versión a la vez?

  • Usted solamente puede actualizar a Moodle 3.4 desde Moodle 2.7 o más recieente
  • Usted solamente puede actualizar a Moodle 2.7 desde Moodle 2.2 o más recieente
  • Usted solamente puede actualizar a Moodle 2.2 desde Moodle 1.9 o más recient
  • Secuencia de las actualizaciones: 1.9.19+ -> 2.2.11 -> 2.7.20 -> 3.0.10 -> 3.4

Tengo código personalizado en mi sitio. ¿Cómo actualizo?

Por favor, vea el foro acerca de actualización con código personalizado (en inglés) para algunas sugerencias.

Vea también

Discusión en foro acerca de [ https://moodle.org/mod/forum/discuss.php?d=224561 Notas sobre actualización de Moodle desde 1.9.x a 2.4.1 en un servidor compartido] para algunas sugerencias.

Información en español muy antigua

Ya he actualizado a Moodle 2 y se me informa de muchos archivos perdidos

Compruebe en los archivos si hay algo perdido en el sitio donde instaló Moodle 1.9. La mayor parte de los problemas, que a primera vista paracen ser por la actualización, es posible que se produjeran durante la gestión de Moodle 1.9.

Los cursos con "muestre un directorio" no responden correctamente.

Esto ha sido fijado recientemente en Moodle 2.4.2, así que si es posible, actualice a esta versión. Si hace esto, ese error no tiene por qué ocurrir.